Bug 765540 - (GLUSTER-3808) posix compliance: rename over nfs mount with quota enabled have problems
posix compliance: rename over nfs mount with quota enabled have problems
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: quota (Show other bugs)
pre-release
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Junaid
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-11 05:41 EST by Saurabh
Modified: 2013-08-06 18:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anand Avati 2011-11-11 04:41:32 EST
CHANGE: http://review.gluster.com/717 (In marker_rename, some of the call back functions make use of cookies sent by the calling functions. In case of stack_wind the) merged in release-3.2 by Vijay Bellur (vijay@gluster.com)
Comment 1 Saurabh 2011-11-11 05:41:01 EST
This issue was earlier mentioned in 3786,

after discussion with developer making a new bug for this problem,

Test case,
1. create a distribute-replicate volume(2x2)
2. enable quota
3. nfs mount it.
4. run posix-testsuite

result: some rename test fails.

logs:-

Test Summary Report
-------------------
/opt/qa/tools/posix-testsuite/tests/chown/00.t   (Wstat: 0 Tests: 171 Failed: 3)
  Failed tests:  77, 84, 88
/opt/qa/tools/posix-testsuite/tests/link/00.t    (Wstat: 0 Tests: 82 Failed: 2)
  Failed tests:  72, 79
/opt/qa/tools/posix-testsuite/tests/rename/00.t  (Wstat: 0 Tests: 79 Failed: 6)
  Failed tests:  68-70, 72, 76, 79
/opt/qa/tools/posix-testsuite/tests/rename/10.t  (Wstat: 0 Tests: 188 Failed: 3)
  Failed tests:  62, 68, 74
/opt/qa/tools/posix-testsuite/tests/rename/ren.t (Wstat: 0 Tests: 22 Failed: 6)
  Failed tests:  11-13, 15, 19, 22
Files=185, Tests=1979, 78 wallclock secs ( 0.82 usr  0.23 sys +  5.94 cusr  7.81 csys = 14.80 CPU)
Result: FAIL


This issue has been found with 3.2.4 also.
Comment 2 Anand Avati 2011-11-16 01:39:56 EST
CHANGE: http://review.gluster.com/722 (In marker_rename, some of the call back functions make use of cookies sent by the calling functions. In case of stack_wind the) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.